import matplotlib.pyplot as plt
numargs = genextreme.numargs
[ c ] = [0.9,] * numargs
rv = genextreme(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = genextreme.cdf(x, c)
h = plt.semilogy(np.abs(x - genextreme.ppf(prb, c)) + 1e-20)

# Random number generation

R = genextreme.rvs(c, size=100)
